Inhalte

# Anweisung ChDrive

Wechselt das aktuelle Laufwerk.

Einige DOS-spezifische Datei- und Verzeichnisfunktionen werden in LibreOffice nicht mehr unterstützt oder ihre Funktion ist eingeschränkt. Beispielsweise werden die Funktionen ChDir, ChDrive und CurDir nicht unterstützt. Einige DOS-spezifische Eigenschaften werden nicht mehr in Funktionen verwendet, die Dateieigenschaften als Parameter erwarten (z. B. zur Unterscheidung von versteckten Dateien und Systemdateien). Dies gewährleistet die größtmögliche Plattformunabhängigkeit für LibreOffice. Daher kann diese Funktion in einer zukünftigen Version entfernt werden.

Die Bibliothek ScriptForge in LibreOffice 7.1 führt den Service FileSystem mit Methoden zum Behandeln von Dateien und Ordnern in Benutzerskripten ein.

### Syntax:

      ChDrive Text As String

### Parameter:

Text: Ein beliebiger Zeichenfolgenausdruck, der den Laufwerksbuchstaben des neuen Laufwerks enthält. Falls gewünscht können Sie auch die URL-Schreibweise verwenden.

Dem Laufwerk muss ein Großbuchstabe zugeordnet werden. Unter Windows ist der letzte Buchstabe für Laufwerkszuordnungen durch die LASTDRV-Einstellung festgelegt. Wird als Laufwerksargument eine mehrstellige Zeichenfolge übergeben, so ist nur der erste Buchstabe relevant. Wenn Sie versuchen, auf ein nicht existierendes Laufwerk zuzugreifen, tritt ein Fehler auf, den Sie mit der Anweisung OnError weiter verarbeiten können.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

68 Gerät nicht verfügbar

76 Pfad nicht gefunden

### Beispiel:

      Sub ExampleChDrive
          ChDrive "D" ' Nur möglich, wenn ein Laufwerk 'D' vorhanden ist.
      End Sub

Verwandte Themen

Dienst ScriptForge.FileSystem

Dienst ScriptForge.TextStream

Bitte unterstützen Sie uns!